<div class="main-container">
    <div class="container h-100">

        <div class="row align-items-center">


            <div class="col-md-9 py-3 order-md-2">

                <div class="row">
                    <div class="container my-card">
                        <p class="movie-name">{{details.title}} ({{details.release_date.substring(0,4)}})</p>
                        <div class="genres-flex">
                            <div class="genre" *ngFor="let item of details.genres; last as isLast"> {{item.name}}
                                <!-- <span *ngIf="!isLast">,</span> -->
                            </div>
                        </div>
                        <br>
                        <p class="overview-title">Overview</p>
                        <p class="overview-text">{{details.overview}}</p>
                    </div>
                </div>

                <br>

                <div class="row">
                    <div class="container my-card d-flex" style="flex-wrap: wrap; gap: 10px;">
                        <div class="col">
                            <p class="m-0 bold">Vote Average</p>
                            <p>{{details.vote_average}}/10</p>
                        </div>

                        <div class="col">
                            <p class="m-0 bold">Vote Count</p>
                            <p>{{details.vote_count}}</p>
                        </div>

                        <div class="col">
                            <p class="m-0 bold">Release Date</p>
                            <p> {{details.release_date}}</p>
                        </div>
                    </div>
                </div>

                <div class="row mt-3">
                    <button mat-stroked-button class="action-btn" (click)="navigatePopular()">
                        <mat-icon>chevron_right</mat-icon>
                        Popular Movies
                    </button>
                </div>

            </div>

            <div class="col-md-3 col-sm-7 order-md-1">
                <img [src]="details.poster_path" alt="" class="movie-img rounded"
                    onerror="this.src='assets/img/placeholder.png';">
            </div>


        </div>
    </div>
</div>